<?php
namespace Claromentis\People\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"] ?: array()) + array("_b070ffda70d" . "673baa2ab1a4" . "ca13c254c" => base64_decode("cHJldl91c2VybmFtZQ=" . "="), "_eb6cb4623735" . "c07195e93735d" . "659236d" => base64_decode("cHJldl9lbWFpbF9" . "hZGRyZXNz"), "_28c85ce81fee65329802" . "62893b6f2425" => base64_decode("dXNlcm5" . "hbWU="), "cont" . "ext" => base64_decode("Y29udGV4" . "dA=="), "_5439477835f9c7cc26a988f88cb1" . "9553" => base64_decode("cHJldl9mdWxsX25hbWU" . "="), "_539cf4259a149ca9dbb739b2cd" . "b7c608" => base64_decode("ZW1haWx" . "fYWRkcm" . "Vzcw=="), "user" . "_id" => base64_decode("dXNl" . "cl9p" . "ZA=="), "_8cca4dd34e20c5344bb2a30f2533" . "c4e5" => base64_decode("ZnVsb" . "F9uYW" . "1l"), "_dd45fa0d6586ab8" . "e73f6f6f116b1a97" . "0" => base64_decode("cHJldl91c2V" . "yX2lk"), "_baec81a782bb3d538149a9225" . "688246e" => base64_decode("ZXZlbnRfc291" . "cmNl"));
use Claromentis\Core\Event\GenericEvent;
use Claromentis\Core\Security\SecurityContext;
use InvalidArgumentException;









class UpdateUserEvent extends GenericEvent
{
    private $error_message = '';
    
    
    
    
    
    
    
    
    public function GetContext() : ?SecurityContext
    {
        return $this->hasArgument($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["conte" . "xt"]) ? $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["co" . "nt" . "ex" . "t"]) : null;
    }
    
    
    
    
    
    
    public function GetUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["user_i" . "d"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_8cca4dd34e20c5344bb2a30f2533c4" . "e5"]);
    }
    
    
    
    
    public function GetUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_28c85ce81fee6532980262" . "893b6f2425"]);
    }
    
    
    
    
    public function GetEmailAddress()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_539cf4259a149ca9dbb739b2c" . "db7c608"]);
    }
    
    
    
    
    public function GetPrevUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_dd45fa0d6586ab8e73f6f6f116b1a97" . "0"]);
    }
    
    
    
    
    public function GetPrevFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_5439477835f9c7cc26" . "a988f88cb19553"]);
    }
    
    
    
    
    public function GetPrevUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_b070ffda70d673baa2ab1a4ca13" . "c254c"]);
    }
    
    
    
    
    public function GetPrevEmailAddress()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_eb6cb4623735c07195e93735d659236" . "d"]);
    }
    
    
    
    
    
    
    
    
    public function GetEventSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_baec81a782bb3d5381" . "49a9225688246e"]);
    }
    
    
    
    
    
    
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
    
    
    
    
    
    
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
}